/* 
 *	  Name: addpiped (C source for UNIX) 
 *		connect a program, returning both its 
 *		input and output streams ala pipe(). 
 *	Author: Rick Troth, Rice University, Information Systems 
 *	  Date: 1994-Mar-10, and prior 
 */ 
 
int addpiped(command,fd) 
  char   *command; 
  int    *fd; 
  { 
    int 	fd0[2], fd1[2]; 
char		workpath[4096]; 
 
    if (pipe(fd0)) return -1; 
    if (pipe(fd1)) return -1; 
    if (fork()) 
      { 
	fd[0] = fd1[0]; 	/*  app reads from prog's output  */ 
	(void) close(fd1[1]); 
	fd[1] = fd0[1]; 	/*  app writes to prog's input  */ 
	(void) close(fd0[0]); 
	return 0;		/*  zero for success like pipe()  */ 
      } 
    (void) close(fd1[0]); 
    (void) close(fd0[1]); 
    (void) close(0);		/*  dispose of old stdin  */ 
    if (dup(fd0[0]) != 0) (void) exit(-1); 
    (void) close(1);		/*  dispose of old stdout  */ 
    if (dup(fd1[1]) != 1) (void) exit(-1); 
 
/*  We shouldn't have to actually change PATH. 
    We should have an exec()ish function that 
    searches first LIBPATH,  and then PATH.  */ 
(void) sprintf(workpath,"PATH=%s:%s",
	getenv("LIBPATH"),getenv("PATH")); 
(void) putenv(workpath); 
 
    (void) system(command); 
    (void) exit(0); 
  } 
 
