/*  Copyright 1995, Richard M. Troth, all rights reserved.  <plaintext> 
 * 
 *	  Name: webcat.h 
 *		header file for webcat.c 
 *	Author: Rick Troth, Rice University, Information Systems 
 *		Rick Troth, Rice University, Information Systems 
 *	  Date: 1994-Jun 
 */ 
 
#define 	WEBCAT_VERSION		"WEBCAT/1.2.4" 
#define 	WEBCAT_COPYRIGHT	" Copyright 1995, 1996, Richard M. Troth, all rights reserved." 
 
#define 	WEBFLAG_BINARY		0x01	/*  -i  */ 
#define 	WEBFLAG_DOWNLOAD	0x02	/*  'webget'  */ 
#define         FLAG_HTML               0x04    /*  -h  */ 
 
/*  how much should we hold in memory?  */ 
#define 	WEBCAT_BUFSIZ		8192 
#define 	WEBCAT_STRING_BUFSIZ	4096 
 
/*  webopen() flags  */ 
#define 	WO_READ 		0x01 
#define 	WO_WRITE		0x02 
#define 	WO_RDWR 		0x03	/*  -p  */ 
#define 	WO_HTML 		0x40	/*  -h  */ 
#define 	WO_BINARY		0x80	/*  -i  */ 
 
/*  other flags  */ 
#define 	WF_DOWNLOAD		0x0100	/*  'webget'  */ 
#define 	WF_MAN			0x0200	/*  'webman'  */ 
#define 	WF_VERBOSE		0x8000	/*  -v  */ 
 
/*  default URL components  */ 
#define 	DEFAULT_HTTP_HOST	"www" 
#define 	DEFAULT_HTTP_PORT	"80" 
 
#define 	DEFAULT_GOPHER_HOST	"gopher" 
#define 	DEFAULT_GOPHER_PORT	"70" 
 
#define 	DEFAULT_FTP_USER	"anonymous" 
#define 	DEFAULT_FTP_PASS	"*webcat" 
#define 	DEFAULT_FTP_HOST	"ftp" 
#define 	DEFAULT_FTP_PORT	"21" 
 
#define 	DEFAULT_NEWS_HOST	"news" 
#define 	DEFAULT_NEWS_PORT	"119" 
 
/*  define some pipeline command strings  */ 
#define 	WEBMAN_PIPE		"nroff -Tman -man | col" 
#define 	ZCAT_PIPE		"zcat" 
#define 	GZCAT_PIPE		"gzcat" 
 
#ifndef 	NULL 
#define 	NULL		0 
#endif 
 
static char *webcat_copyright = WEBCAT_COPYRIGHT; 
 

